Subject: RE: [ipfix] DRAFT IPFIX meeting minutes, 58th IETF, Minneapolis

From: "Natale, Robert C (Bob)" <[email-masked]>
Date: Tue, 11 Nov 2003 01:00:48 -0500

Hi,

If we're going to use "counters" and "gauges" (or their
moral equivalents), then I'd recommend referring to RFC2578,
Sec. 7.1.6 (for "Counter32") and 7.1.7 (for "Gauge32"),
respectively, for the current normative definitions in the
SNMP context...there have been some refinements since
RFC1065!

Cheers,

BobN

> -----Original Message-----
> From: Tal Givoly [mailto:[email-masked]]
> Sent: Monday, November 10, 2003 6:24 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [ipfix] DRAFT IPFIX meeting minutes, 58th IETF, 
> Minneapolis
> 
> 
> Dave,
> 
> Counter looks good in RFC1065, but the term "integer" that 
> was used in IPFIX
> context is not equivalent to GAUGE.
> 
> Integers in IPFIX context, or "Delta" value is a non-negative 
> integer that
> is representative of the absolute difference in value of a theoretical
> counter between one record and the other. I say theoretical 
> counter because
> no counter needs to actually exist - what delta value reports 
> are the number
> of <something> that were observed/measured since the last report.
> <something> could be octets, packets, frames, time units, etc.
> 
> I'm also unsure about the term "application wide" as although 
> a counter or a
> gauge are common to all observers, delta values are not common to all
> observers (so if an exporter/meter is sending to multiple 
> destinations, it
> may have different delta values for each destination and there is no
> commonly agreed upon, application wide, value - unless it is 
> imposed that
> the records are identical for all recipients).
> 
> Tal
> 
> -----Original Message-----
> From: majordomo listserver 
> [mailto:[email-masked]]On Behalf
> Of Dave Plonka
> Sent: Monday, November 10, 2003 2:27 PM
> To: [email-masked]
> Cc: Tal Givoly; Benoit Claise
> Subject: Re: [ipfix] DRAFT IPFIX meeting minutes, 58th IETF, 
> Minneapolis
> 
> 
> 
> Hi Tal,
> 
> On Mon, Nov 10, 2003 at 01:34:54PM -0800, Tal Givoly wrote:
> > Dave,
> >
> > >   1) Both counters and integers are needed in the 
> information model.
> > >      (Here, by integer we mean an absolute value a la SNMP.)
> >
> > I wasn't in the meeting, but I believe your parenthesis 
> should be the
> > opposite. "counters" represent the SNMP-like behavior 
> whereas "integers"
> > refers to the delta between the previous record and the 
> next record. I
> also
> > believe that the term "integer" is misleading as the 
> counter itself is
> also
> > an integer (however one that may or may not have a wrapping/overflow
> > behavior).
> 
> You're right... I see now that that is true even in SNMP, so my
> parentesized qualification is insufficient.
> 
> > Perhaps the term "delta" would more appropriate?
> 
> OK, I'll clarify it.
> 
> I think instead of counter and integer, we should say 
> "counter" and "gauge".
> 
> These terms are defined in section 3.2.1 of RFC1065
> ("http://www.ietf.org/rfc/rfc1065.txt"):
> 
>    3.2.3.3.  Counter
> 
>       This application-wide type represents a non-negative 
> integer which
>       monotonically increases until it reaches a maximum 
> value, when it
>       wraps around and starts increasing again from zero.  This memo
>       specifies a maximum value of 2^32-1 (4294967295 decimal) for
>       counters.
> 
>    3.2.3.4.  Gauge
> 
>       This application-wide type represents a non-negative 
> integer, which
>       may increase or decrease, but which latches at a 
> maximum value.  This
>       memo specifies a maximum value of 2^32-1 (4294967295 
> decimal) for
>       gauges.
> 
> Thanks,
> Dave
> 
> --
> [email-masked]  http://net.doit.wisc.edu/~plonka  
> ARS:N9HZF  Madison,
> WI
> 
> --
> Help        mailto:[email-masked] and say "help" 
> in message
> body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
> 
> 
> --
> Help        mailto:[email-masked] and say "help" 
> in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: "Carter Bullard" <[email-masked]>
Date: Wed, 12 Nov 2003 13:13:55 -0500

Hey Nevil,
   Hmmmm, I read in one of your previous mailings that
the default transport was going to be determined from the
mailing list.  Have you changed that position?

   Did anyone happen to ask how many of the raised hands
for SCTP were attached to Cisco employees?  They have
a bad habit of flooding target IETF WG meetings to skew
consensus.

Carter

-----Original Message-----
From: majordomo listserver [mailto:[email-masked]] On Behalf Of
Nevil Brownlee
Sent: Wednesday, November 12, 2003 12:15 PM
To: Benoit Claise
Cc: [email-masked]
Subject: Re: [ipfix] DRAFT IPFIX meeting minutes, 58th IETF, Minneapolis

Hello Benoit:

> The reply from Randy Bush to Stewart Bryant's question: what about the
> use of UDP in case of TTL=1?
> Note that this was also addressed by Jeff Meyer on the mailing list.

That question was raised, but not discussed (following Ops and Transport
AD comment) at Monday's meeting.

The IPFIX charter says its transport has to be congestion-aware.
UDP - even with TTL=1 - is not congestion-aware.
We spent many, many months thrashing out the use of UDP at least a year
ago.

Now we have a meeting consensus for SCTP as the IPFIX default transport.
Any vendor is free to implement whatever other transports they think their
customers need, but at this stage what we're looking for is text for the
IPFIX protocol draft to explain how to use SCTP, TCP (and maybe DCCP).

Let's move on and get the drafts finished!

CHeers, Nevil

-----------------------------------------------------------------------
   Nevil Brownlee                   Director, Technology Development
   Phone: +64 9 373 7599 x88941     ITSS, The University of Auckland
   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand

-------------------------------------------------
This mail sent through University of Auckland
http://www.auckland.ac.nz/

--
Help        mailto:[email-masked] and say "help" in message
body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/